-- CtrlTest.ms  By Simon Feltman [discreet]

RCMenu editMenu
(
	MenuItem miUndo   "&Undo\tCtrl+Z"
	MenuItem miRedo   "&Redo\tCtrl+A"
	Seperator sep01
	MenuItem miCut    "Cu&t\tCtrl+X"
	MenuItem miCopy   "&Copy\tCtrl+C"
	MenuItem miPaste  "&Paste\tCtrl+V"
	MenuItem miDelete "De&lete\tDel"
)

RCMenu fileMenu
(
	SubMenu "&File"
	(
		MenuItem miNew   "&New\tCtrl+N"
		MenuItem miOpen  "&Open...\tCtrl+O"
		Seperator sep01
		MenuItem miSave    "&Save\tCtrl+S"
		MenuItem miSaveAs  "Save &As..."
		Seperator sep02
		MenuItem miClose   "&Close"
	)

	SubMenu "&Edit"
	(
		MenuItem miUndo   "&Undo\tCtrl+Z"
		MenuItem miRedo   "&Redo\tCtrl+A"
		Seperator sep03
		MenuItem miCut    "Cu&t\tCtrl+X"
		MenuItem miCopy   "&Copy\tCtrl+C"
		MenuItem miPaste  "&Paste\tCtrl+V"
		MenuItem miDelete "De&lete\tDel"
	)

	on miNew picked do MessageBox "New!"
	on miOpen picked do MessageBox "Open!"
	on miClose picked do DestroyDialog ctrlRoll
)

RCMenu presetMenu
(
	MenuItem mi0   "0"
	MenuItem mi90  "90"
	MenuItem mi180 "180"
	MenuItem mi270 "270"

	on mi0   picked do ctrlRoll.ang.degrees = 0
	on mi90  picked do ctrlRoll.ang.degrees = 90
	on mi180 picked do ctrlRoll.ang.degrees = 180
	on mi270 picked do ctrlRoll.ang.degrees = 270
)

rollout ctrlRoll "CtrlLib Test"
(
	local imgBtnMd = undefined
	local imgBtnUp = undefined
	local imgBtnDn = undefined

	Angle ang diameter:40 pos:[15,20] bitmap:(openbitmap ((getdir #ui) + "\\Standard_24i.bmp"))
	CheckButton btnPresets "Presets" highlightcolor:(color 190 190 190) pos:[62,24] width:70 height:30
	GroupBox grpAngle "0" pos:[5,5] width:140 height:60

	HyperLink email "By Simon Feltman" color:(color 0 0 255) pos:[15,95] address:"mailto:simon.feltman@autodesk.com"
	HyperLink www "Kinetix Website" color:(color 0 0 255) pos:[15,110] address:"http://www.ktx.com"
	HyperLink msdir "MAXScript Directory" color:(color 0 0 255) pos:[15,125] address:(GetDir #scripts)
	ImgTag imgMaxFind pos:[15,145] tooltip:"MAX Find"
	GroupBox grpAbout "About" pos:[5,75] width:140 height:60

	on ctrlRoll open do
	(
		imgBtnMd = OpenBitmap((GetDir #scripts) + "\\MaxFindMd.jpg")
		imgBtnUp = OpenBitmap((GetDir #scripts) + "\\MaxFindUp.jpg")
		imgBtnDn = OpenBitmap((GetDir #scripts) + "\\MaxFindDn.jpg")
		imgMaxFind.bitmap = imgBtnMd
		imgMaxFind.width = imgMaxFind.bitmap.width
		imgMaxFind.height = imgMaxFind.bitmap.height
	)

	on ctrlRoll rbuttonclick pos do
	(
		PopupMenu editMenu pos:pos rollout:ctrlRoll
	)

	on ctrlRoll size size do
	(
		grpAbout.height = (size.y-85)
		grpAbout.width  = (size.x-10)
		grpAngle.width  = (size.x-10)
	)

	on ang changed deg do
	(
		grpAngle.text = (deg as string) + ""
	)

	on btnPresets changed state do
	(
		format "btnPresets changed\n"
		if state then
			PopupMenu presetMenu pos:[btnPresets.pos.x,btnPresets.pos.y+30] rollout:ctrlRoll align:#align_topleft
		btnPresets.state = false
	)
	on btnPresets pressed do
	(
		format "btnPresets pressed\n"
	)

	on imgMaxFind mouseover do imgMaxFind.bitmap = imgBtnUp
	on imgMaxFind mouseout do imgMaxFind.bitmap = imgBtnMd
	on imgMaxFind mousedown do imgMaxFind.bitmap = imgBtnDn
	on imgMaxFind mouseup do
	(
		imgMaxFind.bitmap = imgBtnMd
		ShellLaunch ((GetDir #maxroot) + "MaxFind.exe") ""
	)
)

CreateDialog ctrlRoll width:600 height:240 fgcolor:(color 255 255 255) bgcolor:(color 0 0 0) \
	bitmap:(openbitmap ((getdir #scripts) + "\\CtrlLib.bmp")) menu:fileMenu bmpstyle:#bmp_center \
	style:#(#style_toolwindow, #style_sysmenu, #style_resizing, #style_sunkenedge)
